Package oracle.kv.lob

# Class PartialLOBException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.kv.FastExternalizableException
oracle.kv.FaultException
oracle.kv.lob.PartialLOBException

All Implemented Interfaces:
  `Serializable`, `oracle.kv.impl.util.FastExternalizable`

public class PartialLOBException extends FaultException
Thrown when `KVLargeObject.getLOB(oracle.kv.Key, oracle.kv.Consistency, long, java.util.concurrent.TimeUnit)` is invoked on a partial LOB. A partial LOB is typically the result of an incomplete `deleteLOB` or `putLOB` operation.

The application can handle this exception and resume the incomplete operation. For example, it can invoke `deleteLOB`, to delete a LOB in the `KVLargeObject.LOBState.PARTIAL_DELETE` state or it can resume the failed putLOB operation for a LOB in the `KVLargeObject.LOBState.PARTIAL_PUT` state.

Since:
  2.0
See Also:
  - `KVLargeObject`
  - Serialized Form

- ## Method Summary

  Modifier and Type
  Method
  Description
  `KVLargeObject.LOBState`
  `getPartialState()`
  Returns the state associated with the LOB.
  `boolean`
  `isPartiallyDeleted()`
  Deprecated.
  Use the getPartialStateMethod() instead

  ### Methods inherited from class oracle.kv.FaultException

  `getFaultClassName, getRemoteStackTrace, toString, wasLoggedRemotely`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface oracle.kv.impl.util.FastExternalizable

  `deserializedForm`

- ## Method Details

  - ### getPartialState

    public KVLargeObject.LOBState getPartialState()
    Returns the state associated with the LOB. The state returned is one of the partial states: `KVLargeObject.LOBState.PARTIAL_PUT`, `KVLargeObject.LOBState.PARTIAL_DELETE` or `KVLargeObject.LOBState.PARTIAL_APPEND`.
    Since:
      2.1.55

  - ### isPartiallyDeleted

    @Deprecated public boolean isPartiallyDeleted()
    Deprecated.
    Use the getPartialStateMethod() instead
    Returns true only if the exception resulted from a partially deleted LOB.